let cheerio = require('cheerio')
let request = require('request')
let fs = require ('fs')

var args = process.argv.slice(2);

request(args[0], function (error, response, html) {
  if (!error && response.statusCode == 200) {
    var $ = cheerio.load(html);

    var dir = $('.mdCMN08Ttl').text();
    fs.mkdirSync(dir);

    $('.FnSticker_animation_list_img li div span').each(function(i, elem) {
      var sticker = $(elem);
      var url = sticker.css('background-image').substring(4);
      var filename = url.substring(url.lastIndexOf('/') + 1);
      var path = dir + '/' + filename;

      console.log("Dumping " + filename + " to " + path);
      request(url).pipe(fs.createWriteStream(path));
    });
  }
});
